> For the complete documentation index, see [llms.txt](https://docs.tailer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tailer.ai/data-pipeline-operations/transfer-data-with-gbq-to-firestore/table-to-storage-configuration-file.md).

# Table to Storage: configuration file

The GBQ to Firestore data pipeline starts with a table-to-storage (TTS) data operation. You can find the global parameters of this configuration in the [Tables to storage configuration](/data-pipeline-operations/export-data-with-tables-to-storage/table-to-storage-configuration-file-1.md) page.

This data operation executes a SQL query to extract data from BigQuery and stores it into a data file (or a set of data files if there's a lot of data to extract) in the Google Cloud Storage of your choice. You can configure it as you like, but you need to store the data into a JSON file and the SQL must follow a specific pattern.

{% hint style="info" %}
If you want to extract data from BigQuery to load it into Firestore, then **you must** specify "destination\_format": "**NEWLINE\_DELIMITED\_JSON**" in your configuration file.
{% endhint %}

## :eye\_in\_speech\_bubble: Configuration file example

Here is an example of TTS configuration file for a GBQ to Firestore data pipeline:

```json
{
    "configuration_type" : "table-to-storage",
    "configuration_id" : "000099_load_bda_freshness_next_exe_export_json",
    "short_description" : "this is a short description",
    "environment" : "DEV",
    "account" : "000099",
    "activated" : true,
    "archive" : false,
    "gcs_dest_bucket" : "tailer-freshness",
    "gcs_dest_prefix" : "gbq-to-firestore/000099/next_execution/",
    "delete_dest_bucket_content" : false,
    "gcp_project" : "my-project",
    "field_delimiter" : ",",
    "print_header": false,
    "sql_file" : "000099_load_bda_freshness_next_exe_export_json.sql",
    "compression" : "None",
    "output_filename" : "freshness_next_execution_data.json",
    "destination_format": "NEWLINE_DELIMITED_JSON",
    "copy_table" : false
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tailer.ai/data-pipeline-operations/transfer-data-with-gbq-to-firestore/table-to-storage-configuration-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
